SnozeDevelopers
API referenceAdmin models

Browse OpenRouter models

Fetches all model modalities and supported parameters. Platform admins only.

GET
/v1/admin/models/openrouter

Authorization

apiKey
headerAuthorizationBearer <snoze_sk_…>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

Response Body

Success

application/json
  1. response
data*array<>
Example Request
curl -X GET 'https://api.snoze.dev/v1/admin/models/openrouter'
Example Response
{  "data": [    {      "id": "string",      "label": "string",      "description": "string",      "contextLength": 0,      "pricing": {        "prompt": "string",        "completion": "string",        "inputCacheRead": "string",        "inputCacheWrite": "string",        "request": "string",        "tiers": [          {            "minPromptTokens": 0,            "prompt": "string",            "completion": "string",            "inputCacheRead": "string",            "inputCacheWrite": "string"          }        ]      },      "metadata": {        "inputModalities": [          "string"        ],        "outputModalities": [          "string"        ],        "supportedParameters": [          "string"        ],        "reasoning": {          "mandatory": true,          "supportedEfforts": [            "string"          ],          "defaultEffort": "string",          "defaultEnabled": true        },        "contextLength": 0,        "maxOutputTokens": 0,        "pricing": {          "prompt": "string",          "completion": "string",          "inputCacheRead": "string",          "inputCacheWrite": "string",          "request": "string",          "tiers": [            {              "minPromptTokens": 0,              "prompt": "string",              "completion": "string",              "inputCacheRead": "string",              "inputCacheWrite": "string"            }          ]        },        "created": 0,        "expirationDate": "string",        "canonicalSlug": "string"      }    }  ]}